import { ApiCall, BaseConnection } from "tsrpc";
import Lobby from "../component/Lobby/Lobby";
import { ReqAccountLogin, ResAccountLogin } from "../shared/protocols/PtlAccountLogin";

export default async function (call: ApiCall<ReqAccountLogin, ResAccountLogin>) {
	// Error
	if (!call.req.name) {
		call.error('Name is empty')
		return;
	}

	// Success
	const { sn, req } = call
	const { name } = req
	const conn: BaseConnection<any> = call.conn
	console.log(`name: ${name} is Login`)
	conn.UserId = sn
	conn.NickName = name
	Lobby.AddConns(conn)
	call.succ(0)
}